classification
Title: test_doctest lineendings fails in verbose mode
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ezio.melotti, jbeck, xtreak
Priority: normal Keywords: patch

Created on 2015-03-04 16:40 by jbeck, last changed 2018-09-24 15:05 by xtreak. This issue is now closed.

Files
File name Uploaded Description Edit
new.patch jbeck, 2015-03-04 16:40 patch with fix
Messages (3)
msg237191 - (view) Author: John Beck (jbeck) Date: 2015-03-04 16:40
Issue 8473 fixed a problem with lineendings in test_doctest, but it
appears not to work in verbose mode.  Adding verbose=False to the
doctest.testfile() invocations in test_lineendings() fixes this.
Attaching a patch to fix this for both 2.7 and 3.4.
msg326093 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-09-22 15:47
Thanks for the patch. It seems this was fixed with 09a08de363cbe18a87392e1c2ebf0ac1f414592c (3.x) and c747e5564f0315357a3e7d2f580c6d1c8a3b4ab8 (2.7) by applying the code suggested in the patch. Can this be closed?

Thanks
msg326244 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-09-24 15:05
Thanks for the patch. As part of triaging I am closing this as fixed since the patch was applied with the below commits except for 3.4 branch : 

09a08de363cbe18a87392e1c2ebf0ac1f414592c (3.5)
c747e5564f0315357a3e7d2f580c6d1c8a3b4ab8 (2.7)

Thanks
History
Date User Action Args
2018-09-24 15:05:27xtreaksetstatus: open -> closed
resolution: fixed
messages: + msg326244

stage: patch review -> resolved
2018-09-22 15:47:05xtreaksetnosy: + xtreak
messages: + msg326093
2015-03-07 09:43:42ezio.melottisetnosy: + ezio.melotti
stage: patch review
type: behavior

versions: + Python 3.5
2015-03-04 16:40:31jbeckcreate